# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:interval, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DOCS
  The interval field of the Oracle VM Archive Management.
  Here is example how to do this:

      ovm_archive_management { ...
        ...
        interval => '100'
        ...
      }

  DOCS
end
