# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:username) do
  include EasyType
  include EasyType::YamlProperty

  desc <<-DOCS
  The username used to connect to the OVM Manager.
  Here is example how to do this:

      ovm_manager {my_ovm_manager:
        ...
        username => 'admin',
        ...
      }

  DOCS
end
