# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:description, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The property allows to set description for selected Oracle VM Repository.
  Here is example how to do this:

      ovm_repository { 'default/repo1':
        ensure      => 'present',
        description => 'Repository no 1',
      }

  DOCS
end
