# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DOCS
  The full name of the Server Pool.

  DOCS

  isnamevar

  to_translate_to_resource do |raw_resource|
    manager = raw_resource.fetch('manager')
    pool    = raw_resource.fetch('name')
    "#{manager}/#{pool}"
  end
end
