# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:secure_vm_migrate, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DOCS
  Specifies the Secure Migrate of the Server Pool.
  Here is example how to do this:

      ovm_server_pool { ...
        ...
        secure_vm_migrate => 'true',
        ...
      }

  DOCS

  newvalues(true, false)
end
