# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:hold_time, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Integer
  include EasyType::Validators::Integer

  desc <<-DOCS
  The hold_time field of the ovm_statistic_management.
  Here is example how to do this:

      ovm_statistic_management { ...
        ...
        hold_time => '1500'
        ...
      }

  DOCS
end
