# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:name) do
  include EasyType

  desc <<-DOCS
  This parameter specify name of the ovm_storage_target.

  DOCS

  isnamevar

  to_translate_to_resource do |raw_resource|
    manager = raw_resource.fetch('manager')
    name    = raw_resource.fetch('name')
    "#{manager}/#{name}"
  end
end
