# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:shareable, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DOCS
  The shareable field of the ovm_virtual_disk.
  Here is example how to do this:

      ovm_virtual_disk { ...
        ...
        shareable => 'true'
        ...
      }

  DOCS

  newvalues(true, false)
end
