# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:sparse) do
  include EasyType

  desc <<-DOCS
  This parameter determines the type of resize operation.
  If true, unused portions of the disk are not replicated in the image file.

  DOCS

  defaultto true
  newvalues(true, false)
end
