# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:description, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::String

  desc <<-DOCS
  Specifies desciption of Vlan Interface.
  Here is example how to do this:

      ovm_virtual_disk { ...
        ...
        description => 'Description'
        ...
      }

  DOCS
end
