# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:id, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType

  desc <<-DOCS
  This parameter is responsible for the mapping of the id of the Oracle VM object.

  DOCS

  maps_to('id.value')
end
