# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
#
# Determine if OVM 3 is installed. This is a simple check
#
Facter.add(:ovmm_installed) do
  setcode do
    File.exist?('/u01/app/oracle/ovm-manager-3/domains/ovm_domain')
  end
end
