# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:backup_supported, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::Boolean

  desc <<-DOCS
  The backup_supported field of the Oracle VM Backup Management.
  Here is example how to do this:

      ovm_backup_management { ...
        ...
        backup_supported => true
        ...
      }

  DOCS

  newvalues(true, false)
end
