# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:verify_ssl) do
  include EasyType
  include EasyType::YamlProperty

  desc <<-DOCS
  Verify the SSL connection. e.g. Check if it has a valid SSL key.
  Here is example how to do this:

      ovm_manager {my_ovm_manager:
        ...
        verify_ssl => 'true',
        ...
      }

  DOCS

  newvalues(true, false)
end
