# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:description, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType::Mungers::String

  desc <<-DOCS
  The description field of the network.
  Here is example how to do this:

      ovm_network { ...
        ...
        description => 'My test server'
        ...
      }

  DOCS
end
