# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:server_id, :parent => Puppet::Parameter::OvmProperty) do
  include Puppet_X::EnterpriseModules::Ovm::Data
  include EasyType::Validators::IPFQDN

  desc <<-DOCS
  The id of the server inside the Network.

  DOCS
end
