# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:share_path, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The location of the Repository in the File System Oracle VM Repository.
  Here is example how to do this:

      ovm_repository { 'default/repo1':
        ensure      => 'present',
        share_path  => '/repo_01/',
      }

  DOCS
end
