# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:keymap, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  Specifies keymap to use for the console.
  Here is example how to do this:

      ovm_server_pool { ...
        ...
        keymap => 'en-us'
        ...
      }

  DOCS
end
