# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:plugin) do
  desc <<-DOCS
  The storage_array_plugin_id field of the Storage Array.
  Here is example how to do this:

      ovm_storage_array { 'default/array_name':
        ...
        plugin => '...',
        ...
      }

  DOCS

  defaultto('Oracle Generic SCSI Plugin')
end
