# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:extra_information, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The extra_information field of the ovm_storage_element.
  Here is example how to do this:

      ovm_storage_element { ...
        ...
        extra_information => ''
        ...
      }

  DOCS
end
