# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:mac_address, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  The mac_address field of the ovm_virtual_nic.
  Here is example how to do this:

      ovm_virtual_nic { ...
        ...
        mac_address => '21:s:as:as:13:21'
        ...
      }

  DOCS
end
