# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:keymap_name, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  Specifies keymap of Oracle Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ...
        keymap_name             => 'en-us',
        ...
      }

  DOCS
end
