# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newproperty(:vm_start_policy, :parent => Puppet::Parameter::OvmProperty) do
  desc <<-DOCS
  Specifies Start Polity Oracle Virtual Machine.
  Here is example how to do this:

      ovm_vm { 'default/mypool1/ovmserver1.example.com:myvm2':
        ensure          => 'present',
        vm_start_policy => 'CURRENT_SERVER',
      }

  DOCS
end
