# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:manager_name) do
  include EasyType

  desc <<-DOCS
  The name of the OVM manager.

  DOCS

  defaultto do
    resource[:name] = "default/#{resource.name}"
    'default'
  end

  isnamevar
end

child_of(:ovm_manager) { manager_name }
