# frozen_string_literal: true

#
# See the file "LICENSE" for the full license governing this code.
#
newparam(:server_id, :parent => Puppet::Parameter::OvmProperty) do
  include EasyType

  desc <<-DOCS
  Specifies the pools that are part of this pool.
  Here is example how to do this:

      ovm_... { ...
        ...
        id => '0004fb00000200009cbdc9f59da42fac',
        ...
      }

  DOCS

  maps_to('serverPoolId')
end
